DAoC: Vista, Camelot, and You

Vista, Camelot, and You

The Camelot Herald has a post up that shares information with players regarding Vista...

Just a warning - Camelot is not Vista-compliant. If you upgrade to Vista at this time, you may have trouble playing. We're working with all the appropriate parties to try and resolve this issue as quickly as we can, but if you're concerned, you should hold off on installing Vista until I can give you more information. Thanks, all.

To read the latest guides, news, and features you can visit our Dark Age of Camelot Game Page.

Last Updated:

About The Author

Around the Web